package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityArticleComment;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommunityArticleCommentMapper extends BaseMapper<CommunityArticleComment> {

    /**
     * 获取文章评论回复总数
     * @param articleId 文章id
     * @return 总数
     */
    Integer queryCommentCount(@Param("articleId") Long articleId);

    /**
     * 获取用户具体评论文章的数量
     * @param articleIds
     * @return
     */
    Integer queryCommentReplyCount (@Param("articleIds")  List<Long> articleIds);

    /**
     * 获取数据
     * @param commentSum
     * @return
     */
    Integer queryCommentReplyCountPerson (@Param("commentSum")  int commentSum);

}
